<template>
	<div class="affiliateRegister">
		<div class="title">AiDA Affiliate Request Page</div>
		<div class="info">Why do you want to become an affiliate user?</div>
		<div class="textarea_box">
			<div class="text"></div>
			<textarea :value="textarea"></textarea>
		</div>
		<div class="gallery_btn" style="width: 100%;" @click="submit">Register</div>
	</div>
	<div class="mark_loading" v-show="loadingShow">
		<a-spin size="large" />
	</div>
</template>

<script lang="ts">
import { message, Upload } from "ant-design-vue";
import { defineComponent, onMounted, h, ref, nextTick, inject,reactive, toRefs } from "vue";
import { Https } from "@/tool/https";
import { useRouter,useRoute } from 'vue-router'
export default defineComponent({
	components: {
	},
    props: ["msg",'sketchCatecoryList'],
    setup() {
		const router = useRouter()
		const affiliateRegisterData:any = reactive({
			loadingShow:false,
			textarea:'',//当前页面名称
		});
		const submit = ()=>{
			affiliateRegisterData.loadingShow = true
			let data = {
				promotionMethod:affiliateRegisterData.textarea,
			}
			Https.axiosGet(Https.httpUrls.affiliateRegistration,{params:data}).then(()=>{
				affiliateRegisterData.loadingShow = false
				message.success('success')
			}).catch((err)=>{
				affiliateRegisterData.loadingShow = false
			})
		}		
		onMounted(() => {
			
        })
		return {
			...toRefs(affiliateRegisterData),
			submit,
		};
    },
  
});
</script>

<style lang="less" scoped>
.affiliateRegister{
	width: 100rem;
	margin: 0 auto;
	margin-top: 14.5rem;
	>.title{
		font-size: 4rem;
		font-weight: 600;
		margin-bottom: 4rem;
	}
	>.info{
		margin-bottom: 4rem;
		font-size: 1.8rem;
		font-weight: 400;
	}
	>.textarea_box{
		margin-bottom: 5rem;
		>.text{
			font-size: 2rem;
			font-weight: 600;
		}
		textarea{
			width: 100%;
			height: 18rem !important;
			border: 2px solid;
			border-radius: 2rem;
			background: #f7f8fa;
			padding: 2rem;
		}
	}
}
</style>